# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

# Locate innshellvars.pl
my $isv;
foreach (qw(/etc/news /news/etc /var/news/etc /usr/news/etc /usr/lib/news)) {
	if (-f $_.'/innshellvars.pl') {
		$isv = $_;
		last;
	}
}
unless ($isv) { die "Cannot find innshellvars.pl\n" }

require "$isv/innshellvars.pl";

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..4\n"; }
END {print "not ok 1\n" unless $loaded;}
use News::ICC;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

my $i=new News::ICC;

# 2 (open the sockets)
print 'not ' if not $i->open;
print "ok 2\n";

# 3 (send a message)
print 'not ' if ($i->go('Just testing News::ICC::go') < 0);
print "ok 3\n";

# 4 (close the sockets)
print 'not ' if not $i->close;
print "ok 4\n";

